import { defineStore } from 'pinia'

const useTechnologyEvaluationStore = defineStore('technologyEvaluation', {
    state: () => {
        return {
            details: undefined
        }
    },
    getters: {},
    actions: {
        setState(...args) {
            this.$patch({ [args[0]]: args[1] })
        }
    },
    // 配置持久化
    persist: {
        // 调整为兼容多端的API
        storage: {
            setItem(key, value) {
                uni.setStorageSync(key, value)
            },
            getItem(key) {
                return uni.getStorageSync(key)
            }
        }
    }
})
export default useTechnologyEvaluationStore
